Show / Hide Table of Contents

# Class OpenIddictConstants.TokenTypeHints

##### Inheritance

System.Object
OpenIddictConstants.TokenTypeHints

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class TokenTypeHints

### Fields

#### AccessToken

##### Declaration

    public const string AccessToken = "access_token"

##### Field Value

Type | Description
--- | ---
System.String |

#### AuthorizationCode

##### Declaration

    public const string AuthorizationCode = "authorization_code"

##### Field Value

Type | Description
--- | ---
System.String |

#### DeviceCode

##### Declaration

    public const string DeviceCode = "device_code"

##### Field Value

Type | Description
--- | ---
System.String |

#### IdToken

##### Declaration

    public const string IdToken = "id_token"

##### Field Value

Type | Description
--- | ---
System.String |

#### RefreshToken

##### Declaration

    public const string RefreshToken = "refresh_token"

##### Field Value

Type | Description
--- | ---
System.String |

#### UserCode

##### Declaration

    public const string UserCode = "user_code"

##### Field Value

Type | Description
--- | ---
System.String |